local flag = require("flag")

local object = {}

-- Civilization Advances
-- recommended key prefix 'a'
--
object.aAerialWarfare		= civ.getTech(0)
object.aCulture			= civ.getTech(1)
object.aAmphibiousWarfare	= civ.getTech(2)
object.aColonialism		= civ.getTech(3)
object.aAerialGunnery		= civ.getTech(4)
object.aAmericanScience	= civ.getTech(5)
object.aBanking			= civ.getTech(6)
object.aBuilding			= civ.getTech(7)
object.aArmyTraining		= civ.getTech(8)
object.aNationState		= civ.getTech(9)
object.aChemistry		= civ.getTech(10)
object.aArmouredVehicles	= civ.getTech(11)
object.aJurisprudence		= civ.getTech(12)
object.aModernInfantry		= civ.getTech(13)
object.aCombustion		= civ.getTech(14)
object.aImperialism		= civ.getTech(15)
object.aPreDreadnoughts	= civ.getTech(16)
object.aNationalInfantry	= civ.getTech(17)
object.aNavalGunnery		= civ.getTech(18)
object.aCorporation		= civ.getTech(19)
object.aRegionalCommerce	= civ.getTech(20)
object.aDemocracy		= civ.getTech(21)
object.aModernEconomics	= civ.getTech(22)
object.aElectricity		= civ.getTech(23)
object.aAmericanCulture	= civ.getTech(24)
object.aEngineering		= civ.getTech(25)
object.aOilIndustry		= civ.getTech(26)
object.aSocialism			= civ.getTech(27)
object.aExplosives		= civ.getTech(28)
object.aIndustrialization	= civ.getTech(29)
object.aPoweredFlight		= civ.getTech(30)
object.aAutocracy		= civ.getTech(31)
object.aStateSubsidies		= civ.getTech(32)
object.aSocialDarwinism	= civ.getTech(33)
object.aGuerrillaWarfare	= civ.getTech(34)
object.aGunnery			= civ.getTech(35)
object.aCavalryTactics		= civ.getTech(36)
object.aAsianCulture		= civ.getTech(37)
object.aEuropeanCulture	= civ.getTech(38)
object.aIroncladShips		= civ.getTech(39)
object.aLaborUnion		= civ.getTech(40)
object.aCivilService		= civ.getTech(41)
object.aTankDesign		= civ.getTech(42)
object.aLiteracy			= civ.getTech(43)
object.aMachineTools		= civ.getTech(44)
object.aArmouredVessels	= civ.getTech(45)
object.aExploration		= civ.getTech(46)
object.aFortressDesign		= civ.getTech(47)
object.aMassProduction	= civ.getTech(48)
object.aRifledBarrels		= civ.getTech(49)
object.aMedicine			= civ.getTech(50)
object.aBreechLoaders		= civ.getTech(51)
object.aMilitarism			= civ.getTech(52)
object.aImprovedTanks		= civ.getTech(53)
object.aMonarchy		= civ.getTech(54)
object.aChristianity		= civ.getTech(55)
object.aReligion			= civ.getTech(56)
object.aNavalTorpedos		= civ.getTech(57)
object.aDreadnoughts		= civ.getTech(58)
object.aSteamTurbines		= civ.getTech(59)
object.aEuropeanScience	= civ.getTech(60)
object.aPhysics			= civ.getTech(61)
object.aSeaPower		= civ.getTech(62)
object.aCentralBanks		= civ.getTech(63)
object.aPublicUtilities		= civ.getTech(64)
object.aShipbuilding		= civ.getTech(65)
object.aAeronautics		= civ.getTech(66)
object.aMassTransit		= civ.getTech(67)
object.aInternationalTrade	= civ.getTech(68)
object.aRefining			= civ.getTech(69)
object.aFertilizers		= civ.getTech(70)
object.aRepublic			= civ.getTech(71)
object.aHighCalibreGuns	= civ.getTech(72)
object.aCarrierOperations	= civ.getTech(73)
object.aSanitation		= civ.getTech(74)
object.aSteelWarships		= civ.getTech(75)
object.aBombingAircraft	= civ.getTech(76)
object.aSteamWarships		= civ.getTech(77)
object.aSteamEngine		= civ.getTech(78)
object.aSteelIndustry		= civ.getTech(79)
object.aSubmarines		= civ.getTech(80)
object.aModernTactics		= civ.getTech(81)
object.aStateReligion		= civ.getTech(82)
object.aRigidDirigibles		= civ.getTech(83)
object.aRailroads			= civ.getTech(84)
object.aUniversity		= civ.getTech(85)
object.aConscription		= civ.getTech(86)
object.aAutomobiles		= civ.getTech(87)
object.aEducation		= civ.getTech(88)
object.aThe20thCentury	= civ.getTech(89)
object.aModernCruisers		= civ.getTech(90)
object.aScientificMethod	= civ.getTech(91)
object.aCrucibleProcess	= civ.getTech(92)
object.aRecoilBuffers		= civ.getTech(93)
object.aTechnology94             = civ.getTech(94)
object.aTechnology95             = civ.getTech(95)
object.aTechnology96             = civ.getTech(96)
object.aTechnology97             = civ.getTech(97)
object.aTechnology98             = civ.getTech(98)
object.aTechnology99             = civ.getTech(99)

-- Map Locations (tiles/squares)
-- recommended key prefix 'l'



-- Cities
-- recommended key prefix 'c'
-- It is not recommended to put cities into this list if the city
-- can be destroyed. This list returns an error if 'nil' is the value
-- associated with the key (see bottom of file), so that could cause
-- a problem if a city in this list is destroyed.  Also, if another
-- city is founded, the ID number of the city might get reused, causing
-- more confusion.  An alternate way to reference a city is by using
-- object.lRome.city when you actually need the city (and suitably guarding
-- against nil values)

--Find these by entering "for city in civ.iterateCities() do print(city.id, city.name) end" in the console




-- Unit Types
-- recommended key prefix 'u'
object.uLabourers			= civ.getUnitType(0)
object.uEngineers			= civ.getUnitType(1)
object.uRailWorker			= civ.getUnitType(2)
object.uTribalRifles			= civ.getUnitType(3)
object.uArabRifles			= civ.getUnitType(4)
object.uMuslimRifles			= civ.getUnitType(5)
object.uFinnishRebels			= civ.getUnitType(6)
object.uTribalCamp			= civ.getUnitType(7)
object.uAssaultTroops			= civ.getUnitType(8)
object.uIrregulars				= civ.getUnitType(9)
object.uPeasantRifles			= civ.getUnitType(10)
object.uMilitia				= civ.getUnitType(11)
object.uMarines				= civ.getUnitType(12)
object.uMachineGuns			= civ.getUnitType(13)
object.uArabRaiders			= civ.getUnitType(14)
object.uWarParty				= civ.getUnitType(15)
object.uTribalCavalry			= civ.getUnitType(16)
object.uMuslimCavalry			= civ.getUnitType(17)
object.uBerberCavalry			= civ.getUnitType(18)
object.uTribalCapital			= civ.getUnitType(19)
object.uTatarCavalry			= civ.getUnitType(20)
object.uCavalry				= civ.getUnitType(21)
object.uHeavyArtillery			= civ.getUnitType(22)
object.uCannon				= civ.getUnitType(23)
object.uRifledGun				= civ.getUnitType(24)
object.uArtillery				= civ.getUnitType(25)
object.uFieldArtillery			= civ.getUnitType(26)
object.uMonoplane			= civ.getUnitType(27)
object.uBiplane				= civ.getUnitType(28)
object.uBomber				= civ.getUnitType(29)
object.uSteamYacht			= civ.getUnitType(30)
object.uFreighter				= civ.getUnitType(31)
object.uOceanLiner			= civ.getUnitType(32)
object.uGunboat				= civ.getUnitType(33)
object.uIronclad				= civ.getUnitType(34)
object.uSteamFrigate			= civ.getUnitType(35)
object.uSteamWarship			= civ.getUnitType(36)
object.uDestroyer			= civ.getUnitType(37)
object.uLightCruiser			= civ.getUnitType(38)
object.uArmouredCruiser		= civ.getUnitType(39)
object.uBattleship			= civ.getUnitType(40)
object.uSubmarine			= civ.getUnitType(41)
object.uAeroCarrier			= civ.getUnitType(42)
object.uDreadnought			= civ.getUnitType(43)
object.uBattlecruiser			= civ.getUnitType(44)
object.uAirship				= civ.getUnitType(45)
object.uMaximGun			= civ.getUnitType(46)
object.uAgent				= civ.getUnitType(47)
object.uMfgGoods			= civ.getUnitType(48)
object.uGoodsTruck			= civ.getUnitType(49)
object.uExpedition			= civ.getUnitType(50)
object.uArmouredCar			= civ.getUnitType(51)
object.uTank				= civ.getUnitType(52)
object.uLightTank			= civ.getUnitType(53)
object.uRiflemen				= civ.getUnitType(54)
object.uHighlanders			= civ.getUnitType(55)
object.uRiflemenII			= civ.getUnitType(56)
object.uRiflemenIII			= civ.getUnitType(57)
object.uHighlandRifles			= civ.getUnitType(58)
object.uIndianTroops			= civ.getUnitType(59)
object.uGurkhas				= civ.getUnitType(60)
object.uSepoys				= civ.getUnitType(61)
object.uHeavyGun			= civ.getUnitType(62)
object.uGrenadiers			= civ.getUnitType(63)
object.uGrenadiersII			= civ.getUnitType(64)
object.uGrenadiersIII			= civ.getUnitType(65)
object.uStormtroopers			= civ.getUnitType(66)
object.uUhlans				= civ.getUnitType(67)
object.uFieldGun				= civ.getUnitType(68)
object.uInfantrie				= civ.getUnitType(69)
object.uInfantrieII			= civ.getUnitType(70)
object.uInfantrieIII			= civ.getUnitType(71)
object.uZouaves				= civ.getUnitType(72)
object.uChasseurs			= civ.getUnitType(73)
object.uBulletScout			= civ.getUnitType(74)
object.uInfantry				= civ.getUnitType(75)
object.uInfantryII			= civ.getUnitType(76)
object.uEliteRegiment			= civ.getUnitType(77)
object.uInfantryIII			= civ.getUnitType(78)
object.uCossacks				= civ.getUnitType(79)
object.uCossacksII			= civ.getUnitType(80)
object.uUSArmy				= civ.getUnitType(81)
object.uUSArmyII				= civ.getUnitType(82)
object.uUSMarines			= civ.getUnitType(83)
object.uUSArmyIII			= civ.getUnitType(84)
object.uUSCavalry			= civ.getUnitType(85)
object.uParrottRifle			= civ.getUnitType(86)
object.uImperialMarines			= civ.getUnitType(87)
object.uTribalRaiders			= civ.getUnitType(88)
object.uNativeRaiders			= civ.getUnitType(89)
object.uAfricanWarriors			= civ.getUnitType(90)
object.uMalayWarriors			= civ.getUnitType(91)
object.uBanditRaiders			= civ.getUnitType(92)
object.uAbyssinians			= civ.getUnitType(93)
object.uIndianRebels			= civ.getUnitType(94)
object.uEgyptianArmy			= civ.getUnitType(95)
object.uBalkanRebels			= civ.getUnitType(96)
object.uChineseArmy			= civ.getUnitType(97)
object.uBoerTroops			= civ.getUnitType(98)
object.uBoerKommando			= civ.getUnitType(99)
object.uFootGuards			= civ.getUnitType(100)
object.uGeneral				= civ.getUnitType(101)
object.uEliteGrenadiers			= civ.getUnitType(102)
object.uVoltigeurGuards		= civ.getUnitType(103)
object.uImperialGuards			= civ.getUnitType(104)
object.uUSGeneral			= civ.getUnitType(105)
object.uAnarchists			= civ.getUnitType(106)
object.uGuerrillas				= civ.getUnitType(107)
object.uImperialArmy			= civ.getUnitType(108)
object.uImperialArmyII			= civ.getUnitType(109)
object.uPolishLancers			= civ.getUnitType(110)
object.uTurkCannon			= civ.getUnitType(111)
object.uPrussianGeneral		= civ.getUnitType(112)
object.uMarshal				= civ.getUnitType(113)
object.uTsaristGeneral			= civ.getUnitType(114)
object.ImperialGeneral			= civ.getUnitType(115)

-- City Improvements
-- recommended key prefix 'i'
--          
object.iNothing			= civ.getImprovement(0)
object.iCapital			= civ.getImprovement(1)
object.iBarracks			= civ.getImprovement(2)
object.iWarehouses		= civ.getImprovement(3)
object.iColonialPolice		= civ.getImprovement(4)
object.iLocalIndustry		= civ.getImprovement(5)
object.iSchool			= civ.getImprovement(6)
object.iMagistrate		= civ.getImprovement(7)
object.iFortifications		= civ.getImprovement(8)
object.iModernSewer		= civ.getImprovement(9)
object.iBank			= civ.getImprovement(10)
object.iChurch			= civ.getImprovement(11)
object.iUniversity			= civ.getImprovement(12)
--object.iNOTUSED			= civ.getImprovement(13)
object.iTheatre			= civ.getImprovement(14)
object.iFactory			= civ.getImprovement(15)
object.iAutomobilePlant		= civ.getImprovement(16)
--object.iNOTUSED			= civ.getImprovement(17)
--object.iNOTUSED			= civ.getImprovement(18)
object.iSteelMill			= civ.getImprovement(19)
--object.iNOTUSED			= civ.getImprovement(20)
--object.iNOTUSED			= civ.getImprovement(21)
object.iStockExchange		= civ.getImprovement(22)
object.iModernHousing		= civ.getImprovement(23)
object.iIntensiveAgriculture	= civ.getImprovement(24)
object.iGrandRailStation	= civ.getImprovement(25)
object.iLaboratory		= civ.getImprovement(26)
object.iAntiAircraftBattery	= civ.getImprovement(27)
object.iCoastalBattery		= civ.getImprovement(28)
--object.iNOTUSED			= civ.getImprovement(29)
object.iHarbour			= civ.getImprovement(30)
object.iInternationalPort	= civ.getImprovement(31)
object.iAirpark			= civ.getImprovement(32)
object.iSecretPoliceHQ		= civ.getImprovement(33)
object.iCoalingStation		= civ.getImprovement(34)
--object.iNOTUSED			= civ.getImprovement(35)


-- Tribes
-- recommended key prefix 't'
--
object.tOrientals			= civ.getTribe(0)
object.tRussians			= civ.getTribe(1)
object.tJapanese			= civ.getTribe(2)
object.tGermans			= civ.getTribe(3)
object.tIndependent		= civ.getTribe(4)
object.tAmericans		= civ.getTribe(5)
object.tBritish			= civ.getTribe(6)
object.tFrench			= civ.getTribe(7)

-- Wonders
-- recommended key prefix 'w'
object.wJapaneseEmpire		= civ.getWonder(0)
object.wCapitolHill			= civ.getWonder(1)
object.wInternationalRefinery		= civ.getWonder(2)
object.wJohnBrownShipyards		= civ.getWonder(3)
--object.wNOTUSED			= civ.getWonder(4)
object.wWhiteHouse			= civ.getWonder(5)
object.wCasaRosada			= civ.getWonder(6)
object.wOfficerAcademy		= civ.getWonder(7)
object.wCentralPowerStation		= civ.getWonder(8)
object.wDiplomaticCorps		= civ.getWonder(9)
object.wTheVatican			= civ.getWonder(10)
object.wEugenicsFoundation		= civ.getWonder(11)
object.wNavalExpansion		= civ.getWonder(12)
object.wQingImperialThrone		= civ.getWonder(13)
--object.wNOTUSED			= civ.getWonder(14)
object.wPrussianNobility		= civ.getWonder(15)
object.wRuhrChemicalIndustry	= civ.getWonder(16)
object.wBritishEmpire			= civ.getWonder(17)
object.wArmamentProgram		= civ.getWonder(18)
object.wPalaceofVersailles		= civ.getWonder(19)
object.wBritishParliament		= civ.getWonder(20)
object.wWomensSuffrage		= civ.getWonder(21)
--object.wNOTUSED			= civ.getWonder(22)
--object.wNOTUSED			= civ.getWonder(23)
object.wImperialPowers			= civ.getWonder(24)
--object.wNOTUSED			= civ.getWonder(25)
object.wMeijiRestoration		= civ.getWonder(26)
object.wWinterPalace			= civ.getWonder(27)
--

--Text
-- 



-- Flag and Counter Definitions
-- Flags and counters have to be defined somewhere, and this
-- is as good a place as any






-- this will give you an if you try to access a key not entered into
-- the object table, which could be helpful for debugging, but it
-- means that no nil value can ever be returned for table object
-- If you need that ability, comment out this section
setmetatable(object,{__index = function(myTable,key)
    error("The object table doesn't have a value associated with "..tostring(key)..".") end})

return object
