local onTurn = {}

local desertTerrain = 0
local glacierTerrain = 7
local jungleTerrain = 9

local object = require("object")
local desertImmune = {}
desertImmune[object.uTribalRaiders.id] = true
desertImmune[object.uArabRaiders.id] = true
desertImmune[object.uTribalCavalry.id] = true
desertImmune[object.uBerberCavalry.id] = true
desertImmune[object.uMuslimCavalry.id] = true
desertImmune[object.uTatarCavalry.id] = true
desertImmune[object.uWarParty.id] = true
desertImmune[object.uAirship.id] = true
desertImmune[object.uMonoplane.id] = true
desertImmune[object.uBulletScout.id] = true
desertImmune[object.uBiplane.id] = true
desertImmune[object.uBomber.id] = true

local jungleImmune = {}
jungleImmune[object.uBanditRaiders.id] = true
jungleImmune[object.uAfricanWarriors.id] = true
jungleImmune[object.uMalayWarriors.id] = true
jungleImmune[object.uNativeRaiders.id] = true
jungleImmune[object.uGurkhas.id] = true
jungleImmune[object.uAirship.id] = true
jungleImmune[object.uMonoplane.id] = true
jungleImmune[object.uBulletScout.id] = true
jungleImmune[object.uBiplane.id] = true
jungleImmune[object.uBomber.id] = true

local glacierImmune = {}
glacierImmune[object.uAirship.id] = true
glacierImmune[object.uMonoplane.id] = true
glacierImmune[object.uBulletScout.id] = true
glacierImmune[object.uBiplane.id] = true
glacierImmune[object.uBomber.id] = true

function onTurn.onTurn(turn)
    for unit in civ.iterateUnits() do
        if unit.location.terrainType % 16 == desertTerrain then
            local newDamage = math.floor(unit.hitpoints/3)
	    if not desertImmune[unit.type.id] then
                unit.damage = math.min(unit.type.hitpoints-1,unit.damage+newDamage)
            end
	end    
        if unit.location.terrainType % 16 == jungleTerrain then
            local newDamage = math.floor(unit.hitpoints/3)
	    if not jungleImmune[unit.type.id] then
                unit.damage = math.min(unit.type.hitpoints-1,unit.damage+newDamage)
	    end	
	end
	if unit.location.terrainType % 16 == glacierTerrain then
            local newDamage = math.floor(unit.hitpoints/2)
	    if not jungleImmune[unit.type.id] then
                unit.damage = math.min(unit.type.hitpoints-1,unit.damage+newDamage)
	    end
        end
    end
end
return onTurn
