local unitKilledEvents = {}
local object = require("object")

local campaignCost = 10
local MfgGoodsPlunder = 150
local GoodsTrkPlunder = 300

-- This will only run when a unit is killed in combat (i.e. not when an event
-- 'kills' a unit)
-- note that if the aggressor loses, aggressor.location will not work
--

function unitKilledEvents.unitKilledInCombat(loser,winner) 
    loser.owner.money = math.max(loser.owner.money - campaignCost,0)
    winner.owner.money = math.max(winner.owner.money - campaignCost,0)
        if loser.type == object.uLabourers then
        local newLabourers = civ.createUnit(object.uLabourers,winner.owner,winner.location)
        end
        if loser.type == object.uEngineers then
        local newEngineers = civ.createUnit(object.uEngineers,winner.owner,winner.location)
        end
    if loser.type == object.uMfgGoods then
        if winner.owner == civ.getPlayerTribe() then 
        civ.ui.text("Enemy goods train destroyed! 150 gold seized.")
        end
	if loser.owner == civ.getPlayerTribe() then
	civ.ui.text("Our goods train was destroyed! 150 gold lost.")
	end
    loser.owner.money = math.max(loser.owner.money - MfgGoodsPlunder,0)
    winner.owner.money = winner.owner.money + MfgGoodsPlunder
    end
    if loser.type == object.uGoodsTruck then
        if winner.owner == civ.getPlayerTribe() then 
	civ.ui.text("Enemy goods truck destroyed! 300 gold seized.")
	end
	if loser.owner == civ.getPlayerTribe() then
        civ.ui.text("Our goods truck was destroyed! 300 gold lost.")
        end
    loser.owner.money = math.max(loser.owner.money - GoodsTrkPlunder,0)
    winner.owner.money = winner.owner.money + GoodsTrkPlunder
    end
end

-- This will run any time a unit is killed, either in combat or by events
--
function unitKilledEvents.unitDefeated(loser,winner,aggressor,victim,loserLocation,winnerVetStatus,loserVetStatus)

end

-- this happens whenever a unit 'dies', regardless of combat, as long as it is not replaced
function unitKilledEvents.unitDeath(dyingUnit)

end

-- this happens whenever a unit 'dies', but not through combat (or 'defeat')
function unitKilledEvents.unitDeathOutsideCombat(dyingUnit)

end
-- this happens if a unit is deleted (either through combat death, or by some other event,
-- but not if the unit is disbanded)
-- If the unit isn't being replaced, replacingUnit is nil
function unitKilledEvents.unitDeleted(deletedUnit,replacingUnit)

end

return unitKilledEvents

